﻿// ***********************************************************************
// Assembly         : DoxygenTest2
// Documented By    : Ron Cresswell
// Created          : 05-07-2015
//
// Last Modified By : Ron Cresswell
// Last Modified On : 05-07-2015
// ***********************************************************************
// <copyright file="Workflow1.cs" company="Microsoft">
//     Copyright © Microsoft 2015
// </copyright>
// <summary></summary>
// ***********************************************************************
using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Workflow;
using Microsoft.SharePoint.WorkflowActions;

/// <summary>
/// The WF namespace.
/// </summary>
namespace DoxygenTest2
{
    /// <summary>
    /// Class Workflow1. This class cannot be inherited.
    /// </summary>
    public sealed partial class Workflow1 : SequentialWorkflowActivity
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Workflow1"/> class.
        /// </summary>
        public Workflow1()
        {
            InitializeComponent();
        }

        /// <summary>
        /// The workflow identifier
        /// </summary>
        public Guid workflowId = default(System.Guid);
        /// <summary>
        /// The workflow properties
        /// </summary>
        public SPWorkflowActivationProperties workflowProperties = new SPWorkflowActivationProperties();

        /// <summary>
        /// Handles the Invoked event of the onWorkflowActivated1 control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="ExternalDataEventArgs"/> instance containing the event data.</param>
        private void onWorkflowActivated1_Invoked(object sender, ExternalDataEventArgs e)
        {
            bool dummy1 = getD1Value();
            bool dummy2 = getD2Value();
            bool dummy3 = getD3Value();
            bool dummy4 = getD4Value();
            bool dummy5 = getD5Value();
            bool dummy6 = getD6Value();
            bool dummy7 = getD7Value();

        }

        /// <summary>
        /// Gets the d1 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD1Value()
        {
            return true;
        }
        /// <summary>
        /// Gets the d2 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD2Value()
        {
            return getD1Value();
        }
        /// <summary>
        /// Gets the d3 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD3Value()
        {
            return getD2Value();
        }
        /// <summary>
        /// Gets the d4 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD4Value()
        {
            return getD3Value();
        }
        /// <summary>
        /// Gets the d5 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD5Value()
        {
            return getD2Value();
        }
        /// <summary>
        /// Gets the d6 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD6Value()
        {
            return false;
        }
        /// <summary>
        /// Gets the d7 value.
        /// </summary>
        /// <returns><c>true</c> if XXXX, <c>false</c> otherwise.</returns>
        private bool getD7Value()
        {
            return getD2Value();
        }
    }
}
